@import "common.css";
@import "map_components/submenu_category.css";
@import "map_components/floor_selection.css";
@import "map_components/feature_panel.css";
@import "map_components/app_tour.css";
@import "map_components/panning_widget.css";
@import "map_components/route.css";
@import "components/carousel.css";
@import "map_components/feature.css";
@import "map_components/feature_label.css";
@import "feedback.css";

* {
    margin: 0;
    padding: 0;
    outline: 0;
    border: none;
    stroke-linecap: round;
    stroke-linejoin: round;
}

aside section {
    background: var(--main-colour, #FF8C00);
}

body.full-screen {
    animation: load-page linear .5s;
}

body.full-screen header,
body.full-screen footer {
    display: none;
}

body:has(#demo) header {
    box-shadow: none;
    border-bottom: var(--border, 2px solid #000);
}

body:has(#demo) .shepherd-header {
    border: none
}

main:has(.full-screen) {
    animation: page-transition 750ms;
}

#demo:fullscreen {
    display: flex;
    justify-content: center;
    align-items: center;
    animation: page-transition 1200ms;
}

#demo:fullscreen::backdrop {
    background-color: #FFFFFF;
}

main {
    overflow: hidden;
    padding-inline: 0;
    display: flex;
    align-items: center;
    height: calc(100% - var(--header-height));
    width: 100%;
}

@media (min-width: 700px) {
    main {
        height: calc(100% - var(--header-height-desktop));
    }
}

main .main-content {
    display: grid;
    place-items: center;
    height: 100%;
    width: inherit;
    width: -webkit-fill-available;
    overscroll-behavior: none;
}

main .main-content .back-button-wrapper {
    margin-inline-start: .5em;
    place-self: start;
}

#demo {
    min-width: 100%;
    max-width: 900px;
    height: calc(100% - var(--header-height));
    position: fixed;
}

#demo .content-wrapper {
    width: inherit;
    height: 100%;
}

#demo:fullscreen #svg-frame > svg {
    max-width: 100vw;
    width: 100%;
    border: none;
}

#demo:fullscreen #svg-container {
    min-height: 100%;
}

#demo:fullscreen .map-frame-floor-control,
#demo:fullscreen .map-settings-btn,
#demo:fullscreen .map-settings-overlay,
#demo:fullscreen .reset-btn,
#demo:fullscreen .burger-menu-wrapper,
#demo:fullscreen .menu-btn-overlay {
    top: 1em;
}

#svg-container {
    display: flex;
    position: relative;
    justify-content: center;
    width: 100%;
    height: 100%;
}
#svg-container > #svg-frame > svg {
    max-width: 100vw;
    width: 100%;
    height: calc(100vh - 60px);
}

#svg-frame {
    position: relative;
    height: 100%;
    width: 100%;
}

#svg-frame:focus {
    padding: 0;
}

#svg-frame > svg {
    max-width: 100vw;
    width: 100%;
    height: 100%;
    /*border: black solid 2px;*/
}
#svg-frame > svg path.selectable:not(.bridge), .map_icon {
    cursor: pointer;
}

#svg-frame > svg path {
    transition: 500ms;
}

#svg-frame > svg .selected:not([data-info='grouping']) {
    fill: var(--main-colour);
    stroke: var(--secondary-text-colour, #000000);
    stroke-width: 2;
    animation: blink 3000ms 3;
}

#svg-frame > svg .non-selected {
    filter: grayscale(90%) brightness(1);
}

/*#svg-frame > svg .default-layer:not([data-info='grouping']) {*/
/*    stroke: var(--secondary-text-colour, #000000);*/
/*    stroke-width: 5;*/
/*}*/

.strong-stroke {
    stroke: black !important;
}

.transports.strong-stroke {
    stroke: none !important;
}

#svg-frame .icon_toggle_btn {
    padding: .5em 1em;
    filter: drop-shadow(1px 1px 2px gray);
}

#svg-frame .filter-panel {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1em;
}

.icon_toggle_btn {
    padding: .5em 1em;
    filter: drop-shadow(1px 1px 2px gray);
}

.filter-panel {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1em;
}

/*!* Being used? - Confirm before removing *!*/

/*details {*/
/*    flex-wrap: wrap;*/
/*    border: 3px black solid;*/
/*    margin-block: 1em;*/
/*    width: inherit;*/

/*    & > div {*/
/*        padding: 1em;*/
/*        cursor: pointer;*/
/*        display: inline-flex;*/
/*    }*/
/*    .active{*/
/*        background: var(--main-colour,#FF8C00);*/
/*        color: var(--text-colour, #FFFFFF);*/
/*    }*/
/*}*/
.btn > svg {
    stroke: black;
}

#map-controls-wrapper .btn:hover {
    color: var(--text-colour, #000000);
}

#map-controls-wrapper .btn:hover > svg {
    stroke: var(--text-colour, #000000);
}

.burger-menu-wrapper {
    position: absolute;
    top: 0;
    left: .6rem;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    background-color: var(--white-background, #FFF);
    margin: 10px 5px;
    padding: 10px;
    filter: drop-shadow(1px 1px 2px gray);
    border-radius: var(--border-radius, 10px);
    transition: .3s;
}

.burger-menu-wrapper.active {
    background-color: var(--main-colour);
    filter: none;
}
.burger-menu-wrapper.active .side-menu-button-open-name {
    color: var(--text-colour);

}
.burger-menu-wrapper:hover {
    background-color: var(--main-colour);
    cursor: pointer;
    transition: .3s;
}
.burger-menu-wrapper:hover .side-menu-button-open-name {
    color: var(--white-background);
    transition: .3s;
}

.burger-menu-wrapper:hover .burger-icon {
    background-color: var(--text-colour, #000000);
    transition: .3s;

}
.burger-menu-wrapper:hover .burger-icon:before,
.burger-menu-wrapper:hover .burger-icon:after {
    background-color: var(--text-colour, #000000);
    transition: .3s;

}

.side-menu-button-open-name {
    font-size: calc(var(--current-font-size, 16px) * 1.2);
    color: var(--current-text-colour);
    font-weight: var(--font-bold, 700);
    margin-left: 5px;
    cursor: pointer;
    letter-spacing: var(--current-letter-spacing);
}


.burger-menu-wrapper:hover .side-menu-button-open-name {
    color: var(--text-colour, #000000);

}

.zoom-text {
    position: fixed;
    bottom: 30px;
    padding: 15px 10px;
    font-size: var(--current-font-size, 16px);
    background-color: var(--white-background, #FFF);
    border: none;
    border-radius: var(--border-radius, 10px);
    outline: 2px solid var(--main-colour, #FF8C00);
    cursor: pointer;
    font-weight: var(--font-bold, 700);
    max-width: 90%;
}

.fade-out {
    opacity: unset;
    z-index: 100;
    transition: z-index 2s ease-out;
}


.menu-btn-overlay {
    position: absolute;
    top: 0;
    left: .6rem;
    width: 90px;
    height: 40px;
    margin: 10px 5px;
    padding: 10px;
    z-index: -1;
    transition: .3s;
}

.menu-btn-overlay.active {
    z-index: 13;

}

.menu-btn-overlay.expanded {
    width: 100%;
    height: 100%;
    margin: 0;
    left: 0;
    transition: .3s;
}
.filter-btn-wrapper {
    margin: 1rem;
}

.applied-filters {
    display: grid;
    grid-template-columns: max-content auto;
    width: inherit;
    height: 2em;
    align-items: center;
    margin-block: 1em 1.5em;
}
.applied-filters p {
    padding: 0.5em 0.75em;
}

.applied-filters .items-wrapper {
    display: flex;
    overflow-y: hidden;
    max-width: 300px;
}

.applied-filters .applied-filter-item {
    display: inline-flex;
    align-items: center;
    border-radius: 5px;
    flex-grow: 0;
    width: max-content;
    padding: 0.75em;
    margin: unset;
    margin-inline: .5em;
    text-transform: capitalize;
}
.applied-filters .applied-filter-item .close_btn {
    width: 1em;
    margin-left: 1em;
    align-self: center;
}
.applied-filters .applied-filter-item:first-of-type {
    margin-inline: 0 .5em;
}
.layers-dropdown-container,
.zoom-control,
.control-panel-btn,
.reset-btn {
    right: .5em;
}

.controls-container {
    position: absolute;
    top: 50%;
    right: .5em;
    display: flex;
    flex-direction: column;
    align-items: end;
    background-color: var(--main-colour);
    filter: drop-shadow(1px 1px 2px gray);
    border-radius: var(--border-radius, 10px);
    row-gap: 1em;
    padding: 10px 5px;
    transform: translateY(-50%);
}

.controls-container-overlay {
    display: none;

}

.controls-container-overlay.active {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
}
.map-control-panel {
    display: grid;
    grid-template-columns: 1.5fr 1.5fr 1fr 1fr;
    width: 100%;
    margin-block: 1em;
    gap: .5em;
}

.zoom-control {
    display: flex;
    flex-direction: column;
    row-gap: 1em;
}

.zoom {
    padding: 5px;
    font-size: var(--current-font-size);
    filter: drop-shadow(1px 1px 2px gray);
    outline: none;
    width: 2.5em;
    height: 2.5em;
    display: flex;
    align-items: center;
    justify-content: center;
}

.map-settings-btn {
    position: absolute;
    filter: drop-shadow(1px 1px 2px gray);
    outline: none;
    width: 2.5em;
    height: 2.5em;
    padding: 5px;
    right: .6em;
    margin: 10px 5px;
}

/*for app tour */
.map-settings-overlay {
    position: absolute;
    width: 2.5em;
    height: 2.5em;
    right: .6em;
    margin: 10px 5px;
}

.map-settings-overlay.active {
    z-index: 2;
}

.map-settings-overlay.expanded {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100vh;
    margin: 0;
    z-index: 7;
}
.reset-btn,
.panning-btn {
    filter: drop-shadow(1px 1px 2px gray);
    outline: none;
    height: 2.5em;
    width: 2.5em;
    padding: 5px;
}
.zoom.active,
.zoom:hover,
.reset-btn.active,
.reset-btn:hover,
.panning-btn.active,
.panning-btn:hover,
.layers-btn.active,
.layers-btn:hover,
.expand_btn.active,
.expand_btn:hover,
.access-btn.active,
.access-btn:hover {
    outline: 2px solid var(--white-background);
    transition: .3s;
    background-color: var(--main-colour, #FF8C00);
    color: var(--text-colour, #000000);
}
.zoom.active > svg,
.zoom:hover > svg,
.reset-btn.active > svg,
.reset-btn:hover > svg,
.panning-btn.active > svg,
.panning-btn:hover > svg,
.layers-btn.active > svg,
.layers-btn:hover > svg,
.access-btn.active > svg,
.access-btn:hover > svg,
.expand_btn.active > svg,
.expand_btn:hover > svg {
    transition: .3s;
    stroke: var(--text-colour, #000000);
    fill: var(--text-colour, #000000);
}

.layers-btn.active > svg,
.layers-btn:hover > svg {
    fill: transparent;
}

.reset-btn > svg,
.panning-btn > svg {
    transition: .3s;
    width: 30px;
    height: 30px;
    fill: black;
}
.reset-btn > svg path,
.panning-btn> svg path {
    fill: #0a0ab7;
}
.panning-widget-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.layers-btn {
    filter: drop-shadow(1px 1px 2px gray);
    outline: none;
    width: 2.5em;
    height: 2.5em;
    padding: 5px;
    margin: 0;
}

.layers-btn:focus {
    border-radius: 10px;
}

.layers-btn > svg {
    fill: none;
    stroke: black;
    pointer-events: none;
}

.show {
    opacity: 1 !important;
}

.raise {
    z-index: 10 !important;
}

.expand_btn {
    /*position: absolute;*/
    /*bottom: 5%;*/
    width: 2.5em;
    height: 2.5em;
    background: var(--white-background, #FFF);
    border-radius: var(--border-radius, 10px);
    outline: none;
    padding: 7px;
    filter: drop-shadow(1px 1px 2px gray);

    font-size: var(--current-font-size);
    letter-spacing: var(--current-letter-spacing);
    line-height: var(--current-line-spacing);
    color: var(--text-colour, #000000);
    word-spacing: var(--current-word-spacing);
    flex-grow: 1;
}


/* For iPhone fullscreen fallback */

#demo.full-screen {
    position: fixed;
    top: 0;
    left: 0;
    min-height: 100%;
    width: 100%;
    margin: 0;
    border: none;

    /*This is done to overlap tour tooltips when fullscreen is active*/
    z-index: 10000;

}

.expand_btn > svg {
    width: 100%;
    height: 100%;
    transition: .3s;
}

.tube_icon {
    font-size: var(--current-font-size);
    font-weight: var(--font-bold);
    text-transform: capitalize;
    width: 100%;
    max-width: 300px;
    margin: .5em 10px;
    border-radius: 5px;
    padding: .325em;
    display: inline-flex;
    justify-content: center;
    height: auto;
}

.tube_wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 10px;


}

.tube_wrapper p:first-child {
    margin-block: .5em;
}
.feature-panel-floor-wrapper {
    display: flex;
    flex-direction: column;
    row-gap: 5px;
    align-items: center;
}

.button_wrapper {
    width: 100%;
    max-width: 300px;
    display: flex;
    align-items: center;
}

.button_wrapper > .map-floor {
    width: 100%;
    margin: 0 10px;
}

.button_wrapper .floor-selection {
    min-width: 120px;
    margin-block: .5em;
    margin-inline-end: var(--margin);
}

.button_wrapper .control-panel-btn {
    padding: .325em;
    border-radius: 5px;
    cursor: pointer;
}

.button_wrapper .control-panel-btn ~ span {
    font-size: smaller;
}

.button_wrapper .current_floor {
    color: var(--secondary-text-colour, #000000);
    letter-spacing: var(--current-letter-spacing);
}

.status-box {
    margin-block: .5em;
    display: grid;
    grid-template-rows: 1fr auto;
    row-gap: 1rem;

}

.status-box .status-info-box {
    padding-bottom: 0;
}

.details_btn {
    background: var(--main-colour, #FF8C00);
    color: var(--text-colour, #FFFFFF);
    padding: .3em .75em;
    border-radius: var(--border-radius);
    place-self: center;
    margin-block: .5em;
    margin-bottom: 20px;
    column-gap: 10px;
    display: flex;
    align-items: center;
}

@media screen and (max-width: 700px) {
    main .map-control-panel {
        display: flex;
        flex-direction: column;
        gap: unset;
    }

    main .filter-panel {
        display: flex;
        flex-direction: column;
        gap: unset;
        align-items: center;
        justify-content: center;
    }

    main .filter-btn, .clear-btn {
        max-width: 65%;
        width: 65%;
    }

    main .filter-btn {
        margin: var(--margin, 20px);
    }
}

@media screen and (min-width: 1024px) {
    body:has(#demo)  header {
        box-shadow: var(--supplementary-colour) 0 2px 5px;;
        border-bottom: none;
    }

    body:has(#demo) .shepherd-header {
        border: none;
        box-shadow: none;
    }

    main .main-content {
        width: -webkit-fill-available;
        width: -moz-available;
    }
}

[disabled] {
    background: gray !important;
    outline: solid 2px gray;
    cursor: default;
    color: var(--white-background) !important;
}

[disabled]:hover {
    color: var(--white-background);
    outline: solid 2px gray;

}
@keyframes blink {
    0% {
        fill: var(--main-colour, #FF8C00);
        stroke: var(--secondary-text-colour, #000000);
    }

    50% {
        fill: var(--white-background, #FFFFFF);
        stroke: var(--secondary-text-colour, #000000);
    }

    100% {
        fill: var(--main-colour, #FF8C00);
        stroke: var(--secondary-text-colour, #000000);
    }
}

.map-settings.active {
    display: flex;
    justify-content: center;
    width: 100%;
    height: auto;
    position: fixed;
    top: var(--header-height);
    left: 0;
    z-index: 11;
    background-color: var(--white-background);
    overflow-y: hidden;
    max-height: 100vh;
    letter-spacing: var(--current-letter-spacing);
}


.tour-modal-overlay {
    display: none;
}

.tour-modal-overlay.active {
    display: unset;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 11;
    opacity: .35;
    background-color: #000000;
}

.tour-modal {
    display: none;
    justify-content: center;
    width: 65%;
    height: fit-content;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    z-index: 12;
    background-color: var(--white-background);
    overflow-y: hidden;
    max-height: 100vh;
    letter-spacing: var(--current-letter-spacing);
    filter: drop-shadow(0.25px 0.25px 0.25px gray);
    padding: 0;
}

.tour-modal.active {
    display: flex;
}

.tour-modal .tour-modal-wrapper {
    margin: 30px 20px;
}

.tour-modal .tour-modal-wrapper > p {
    font-size: var(--current-font-size);
    letter-spacing: var(--current-letter-spacing);
    line-height: var(--current-line-spacing);
    color: var(--current-text-colour);
}

.tour-modal .tour-modal-wrapper .tour-modal-btns {
    margin: 20px 0;
    display: flex;

    /*'row-reverse' is used to trick the tabindex to tab through tour modal buttons correctly*/
    flex-direction: row-reverse;
    justify-content: space-around;
    align-items: center;
}

.tour-modal .tour-modal-wrapper .tour-modal-btns > .btn {
    color: #000000;
}

.tour-modal .tour-modal-wrapper .tour-modal-btns > .btn:hover {
    transition: .3s;
    background-color: var(--main-colour, #FF8C00);
    color: var(--text-colour, #000000);
}

.map-settings-container {
    display: none;
}

.map-settings-container.active {
    display: flex;
    justify-content: flex-start;
    width: 100%;
    height: 100vh;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    -webkit-overflow-scrolling: touch;
    overflow: scroll;
    padding-bottom: 50px;
    position: relative;
}

.map-accessibility {
    display: none;
}

.map-accessibility.active {
    display: flex;
    justify-content: flex-start;
    width: 100%;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    gap: 10px;
    background: white;
    position: absolute;
    height: 100%;
    top: 0;
    left: 0;
    margin: 0;
    padding: 0 25px;
    border: 2px solid black;
    overflow-y: auto;
    scrollbar-width: none;
}

.map-settings-btns {
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding-block-end: 5rem;
}

.close-modal-btn,
.close-map-settings {
    float: right;
    overflow: hidden;
    position: absolute;
    border: none;
    padding: 0;
    width: 5em;
    height: 5em;
    right: 0;
    background: transparent;
    color: #000000;
    font: inherit;
    text-indent: 100%;
    cursor: pointer;
}

.close-map-settings{
    z-index: 999;
}
.close-modal-btn:before,
.close-map-settings:before,
.close-modal-btn:after,
.close-map-settings:after {
    content: '';
    position: absolute;
    top: 15%;
    left: 50%;
    width: 0.3em;
    height: 65%;
    border-radius: .125em;
    transform: rotate(45deg);
    background: currentcolor;
}

.close-modal-btn:after,
.close-map-settings:after {
    transform: rotate(-45deg);
}

.close-modal-btn {
    height: 3.5em;
}


.map-settings-title {
    display: block;
    font-weight: var(--font-bold, 700);
    margin-top: var(--header-height-desktop);
    z-index: 1;
    text-align: center;
    border-bottom: 4px solid var(--main-colour);
    width: 50%;
    padding-bottom: 30px;
    color: #000000;
    letter-spacing: var(--current-letter-spacing);

}

.layers-dropdown-container {
    outline: none;
}

.dropdown-placeholder {
    position: absolute;
    top: 10px;
    width: 2.5em;
    height: 2.5em;
    z-index: -1;

}
.dropdown-placeholder-access {
    position: absolute;
    top: 66px;
    width: 2.5em;
    height: 2.5em;
    z-index: -1;

}

.dropdown-placeholder.active {
    top: -75px;
    right: 0;
    width: 360px;
    height: 450px;
    z-index: 10001;
}

.dropdown-placeholder-access.active {
    top: -10px;
    right: 0;
    width: 400px;
    height: 416px;
    z-index: 10001;
}

.dropdown-wrapper {
    display: flex;
    flex-direction: row-reverse;
    align-items: start;
}

.layers-dropdown.active {
    display:flex;
    flex-direction: column;
    row-gap: 10px;
    position: absolute;
    width: auto;
    filter: drop-shadow(1px 1px 2px gray);
    right: 3em;
    outline: none;
    text-wrap: nowrap;
    z-index: 10000;
}

.layers-dropdown {
    display: none;
}
.layers-dropdown .layer-wrapper {
    width: auto;
    background-color: #FFFFFF;
    outline: 2px solid var(--main-colour, #FF8C00);
    margin: 0 10px;
    color: var(--current-text-colour);
    display: flex;
    flex-direction: row;
    align-items: center;
    column-gap: 10px;
    /*padding: 12px 10px;*/
    text-transform: capitalize;
}
.layers-dropdown .layer-wrapper > div {
    height: 20px;
    width: 20px;
}

.layers-dropdown .layer-wrapper > div > svg {
    fill: #000000;
    transition: .3s;

}
.layers-dropdown .layer-wrapper:hover {
    background-color: var(--main-colour, #FF8C00);
    color: var(--text-colour, #000000);
    transition: .3s;
}

.layers-dropdown .layer-wrapper:hover > div > svg {
    fill: var(--text-colour, #000000);
    transition: .3s;

}

.layers-dropdown .layer-wrapper.active {
    background-color: var(--main-colour, #FF8C00);
    color: var(--secondary-text-colour);
}

.layers-dropdown .layer-wrapper.active > div > svg {
    fill: var(--text-colour, #000000);
    transition: .3s;

}

.layers-dropdown .layer-wrapper .custom-focus {
    outline: 5px solid black;
}
.palette-focus {
    outline: 5px solid black !important;
    padding: 12px 10px !important;
    border-radius: 10px !important;
}

.toggle-container label {
    height: 48px;
}

.access-btn {
    filter: drop-shadow(1px 1px 2px gray);
    outline: none;
    width: 2.5em;
    height: 2.5em;
    padding: 5px;
    margin: 0;
}

.access-dropdown {
    display: none;
    position: absolute;
    width: auto;
    filter: drop-shadow(1px 1px 2px gray);
    right: 3em;
    outline: none;
    text-wrap: nowrap;
    z-index: 10000;
}

.access-dropdown.active {
    display: flex;
    top:66px;
    flex-direction: column;
    row-gap: 10px;
    position: absolute;
    width: auto;
    filter: drop-shadow(1px 1px 2px gray);
    right: 3em;
    outline: none;
    text-wrap: nowrap;
    z-index: 10000;
}

.access-dropdown .access-wrapper {
    width: auto;
    background-color: #FFFFFF;
    outline: 2px solid var(--main-colour, #FF8C00);
    margin: 0 10px;
    color: var(--current-text-colour);
    display: flex;
    flex-direction: row;
    align-items: center;
    column-gap: 10px;
    padding: 12px 10px;
    text-transform: capitalize;
}

.access-dropdown .access-wrapper > div {
    height: 20px;
    width: 20px;
}

.access-dropdown .access-wrapper > div > svg {
    fill: #000000;
    transition: .3s;
}

.access-dropdown .access-wrapper:hover {
    background-color: var(--main-colour, #FF8C00);
    color: var(--text-colour, #000000);
    transition: .3s;
}

.access-dropdown .access-wrapper:hover > div > svg {
    fill: var(--text-colour, #000000);
    transition: .3s;
}

.access-dropdown .access-wrapper.active {
    background-color: var(--main-colour, #FF8C00);
    color: var(--secondary-text-colour);
}

.access-dropdown .access-wrapper.active > div > svg {
    fill: var(--text-colour, #000000);
    transition: .3s;
}

.palette-focus-white {
    outline: 5px solid white !important;
    padding: 12px 10px !important;
    border-radius: 10px !important;
}

.settings-menu-toggle {
    filter: opacity(0);
    position: absolute;
    width: 40px;
    height: 40px;
    right: 74px;
    z-index: 4;
}

.settings-menu-toggle:checked + label:after {
    transform: translateX(1em);
    background-color: var(--main-colour, #FF8C00);
}

.settings-menu-toggle:checked + label:before {
    background-color: var(--white-background, #FFF);
    outline: 1px solid var(--main-colour, #FF8C00);
}

.map-settings-functions {
    display: flex;
    flex-direction: column;
    max-width: 500px;
    width: 100%;
    margin-top: 23px;
}

.no-animation {
    animation: none;
    transition: none;
}

.toggle-container {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    justify-content: space-between;
    padding-right: 40px;
    padding-left: 40px;
}
.toggle-container label {
    display: block;
    width: 70px;
    height: 40px;
    background-color: lightgrey;
    border-radius: 100px;
    filter: drop-shadow(1px 1px 2px gray);
    position: relative;
    cursor: pointer;
    transition: background-color 0.5s, box-shadow 0.5s;
    box-shadow: var(--box-shadow-outer);
}

.toggle-container input:checked + label {
    background-color: var(--main-colour);
}

.toggle-container input:checked + label::after {
    left: calc(100% - 5px);
    transform: translateX(-100%);

}

.toggle-container label::after {
    content: "";
    width: 30px;
    height: 30px;
    background-color: #FFF !important;
    filter: drop-shadow(1px 1px 2px gray);
    position: absolute;
    border-radius: 50%;
    top: 5px;
    left: 5px;
    transition: 0.4s;

}
.toggle-label-text {
    font-size: 16px;
    font-weight: var(--font-bold, 700);

}


.colour-settings-functions {
    margin-top: 20px;
    font-size: 16px;
    font-weight: var(--font-bold, 700);
    text-align: center;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.colour-palette {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    width: 95%;
    height: auto;
}

.colour-palette > div:last-child {
    width: 100%;
    margin-block: 0 1em;
    background: #e6e6e6;
    padding: .5em .5em 1em .5em;
    border-radius: var(--border-radius);
}

.colour-palette-row {
    display: flex;
    justify-content: center;
    margin-top: 10px;
    padding: 5px;
    width: 100%;
    border: 4px solid transparent;
    cursor: pointer;
    flex-wrap: wrap;
    background: #f8f8f8;
    border-radius: var(--border-radius);
}

.colour-palette-row.active {
    /*border: 4px solid var(--main-colour);*/
    cursor: unset;
    background: #e6e6e6;
}

.colour-palette-row.active:focus {
    outline: unset !important;
    box-shadow: unset;
    border-radius: unset !important;
    padding: 5px !important;
}

.colour-palette > .colour-palette-row {
    margin-block: 1.5em .75em;
}

.no-scroll {
    overflow: hidden;
}

.colour-square {
    margin: 2px;
    height: 50px;
    width: 50px;
    flex: 1 1 0;
}

.colour-square:after {
    content: "";
    display: block;
    padding-bottom: 100%;
}
.map-frame-floor-control {
    display: flex;
    flex-direction: column;
    position: absolute;
    width: auto;
    filter: drop-shadow(1px 1px 2px gray);
    left: 50%;
    transform: translate(-50%, 0);
    outline: none;
    color: var(--current-text-colour);
    margin: 10px;
    padding: 0 5px;
}

.map-frame-current-floor {
    outline: none;
    transition: .3s;
    padding: var(--padding, 10px);
    /*margin: 0 10px ;*/
    color: var(--current-text-colour);
    /*color: white;*/
    /*background-color: var(--main-colour);*/
}
.map-frame-current-floor:focus {
    padding: var(--padding, 10px);
    border-radius: var(--border-radius, 10px);
}

.map-frame-current-floor[disabled] {
    background-color: var(--main-colour, #FF8C00) !important;

}


.map-frame-current-floor.active {
    outline: 2px solid var(--main-colour, #FF8C00);
    transition: .3s;
    background-color: var(--main-colour, #FF8C00);
    color: var(--text-colour, #000000);
}

.map-frame-current-floor.disabled {
    cursor: default;
}
.map-frame-current-floor.disabled:hover {
    background-color: var(--white-background, #FFF);
    color: var(--secondary-text-colour, #000);
    transition: .3s;
}

.map-frame-floors-container {
    display: none;
    transition: .3s;
    list-style-type: none;
}

.map-frame-floors-container.active {
    display: flex;
    flex-direction: column;
    transition: .3s;
}

.map-frame-floors-container-overlay {
    display: none;
}
.map-frame-floors-container-overlay.active {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;
}
.map-frame-btn {
    outline: none;
    height: auto;
}

.map-floor {
    outline: 2px solid var(--main-colour, #FF8C00);
    height: auto;
    color: var(--current-text-colour);
    margin-top: 10px;
    padding: var(--padding, 10px);
    text-align: center;
}

.map_settings_reset {
    filter: drop-shadow(1px 1px 2px gray);
    display: flex;
    background-color: #FFF;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    width: 115px;
    height: auto;
    border-radius: var(--border-radius, 10px);
    padding: 25px;
    margin: 34px;
    font-weight: var(--font-bold, 700);
    color: #000000;
    font-size: 16px;
    cursor: pointer;
}

.map_settings_reset:hover {
    background-color: var(--main-colour, #FF8C00);
    transition: all 0.3s ease;
    color: var(--text-colour, #FFFFFF);
}

.map_settings_reset a {
    text-decoration: none;
}

.overlay-wrapper .transports.buses ,
.overlay-wrapper .transports.taxis,
.overlay-wrapper .transports.bike_park,
.overlay-wrapper .transports.carpark,
.overlay-wrapper .transports.dropoff {
    fill: transparent !important;
}

@keyframes load-page {

    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes page-transition {

    from {
        visibility: hidden;
        display: none;
        opacity: 0;
    }

    to {
        visibility: visible;
        opacity: 1;
        display: block;
    }
}

.menu_item {
    margin-bottom: 10px;
}

.menu_item p {
    cursor: pointer;
    padding: 10px;
    background-color: #f1f1f1;
    border: 1px solid #ccc;
    margin: 0;
    display: flex;
    justify-content: space-between;
}

.menu_item p.active {
    background-color: #ddd;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
}

.submenu {
    display: none;
    padding-left: 20px;
}

.submenu .menu_subitem {
    margin-top: 5px;
}

.submenu .menu_subitem button {
    width: 100%;
    padding: 5px;
    text-align: left;
    background-color: #e9e9e9;
    border: 1px solid #ccc;
}

.submenu .menu_subitem button:hover {
    background-color: #ccc;
}

nav[aria-label="Map Navigation"] {
    margin-inline: var(--margin);
}

.arrow {
    width: 20px;
    height: 20px;
    transform: rotate(0deg);
    transition: transform 0.3s ease;
}

.submenu-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.full-screen .map-settings.active {
    top: 0;
    bottom: 0;
    max-height: 100vh;
}

@media (width > 390px) {
    .dropdown-placeholder.active {
        top: -10px;
        right: 0;
    }
}

@media (max-width: 390px) {
    .dropdown-placeholder-access.active {
        right: -10px;
        width: 400px;
    }

    .access-wrapper {
        text-wrap: wrap;
        width: 230px!important;
        text-align: left;
    }

    .access-dropdown.active {
        top:15px
    }
}

@media (max-width: 1024px) {
    .map-settings.active {
        width: 100%;
        height: 100vh;
        overflow: scroll;
        position: fixed;
        top: var(--header-height);
    }
}

@media (min-width: 700px) {
    .menu-btn-overlay.expanded {
        width: 21em;
        transition: .3s;
    }
}

@media (min-width: 1024px) {
    .map-settings.active {
        overflow-y: scroll;
    }

    .map-settings .close-map-settings {
        right: 207px
    }

    .dropdown-placeholder.active {
        width: 350px;
        height: 450px;
    }

    #svg-frame {
        height: inherit;
        width: 100%;
        transition: .5s ease-in-out;
        margin-left: 0;
    }
    #svg-frame:focus {
        padding: 0;
    }
    .side-menu.active + #svg-frame {
        margin-left: 20em;
    }

    /*investigate, not working*/
    /*.side-menu + #svg-frame {*/
    /*    margin-left: 0;*/
    /*}*/
    main  #svg-container {
        transition: .5s ease-in-out;
        height: 100%;
        min-height: calc(100vh - var(--header-height));
    }

    @media (min-width: 700px) {
        main  #svg-container {
            min-height: calc(100vh - var(--header-height-desktop));
        }
    }

    .status-box {
        margin-block: .5em;
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr;
    }

    .status-box > .status-info-box {
        border-left: 1px solid var(--supplementary-colour);
        padding-left: 30px;
    }

    .feature-panel-floor-wrapper {
        display: flex;
        flex-direction: column;
        row-gap: 10px;
        max-width: 300px;
    }

    .button_wrapper > .map-floor {
        font-size: var(--current-font-size);
    }
}

input:focus + label {
    outline: 5px solid black;
    border-radius: 100px;
}

#svg-frame .transports .selectable.zoomed {
    stroke: none;
    outline: black 10px solid;
    outline-offset: 1.2em;
}

.selected-palette-text {
    width: inherit;
    line-height: 1.5em;
    flex-basis: 100%;
    padding-block-end: .5em;
    text-align: center;
}
.colour-settings-functions > p {
    font-size: larger;
}
.icon-group > circle {
    fill: black !important;
}


label.required::after {
    content: ' (required)';
    color: red;
    font-size: 0.75em;
}
#map-controls-wrapper .btn:has(.coloured-fill):hover,
#map-controls-wrapper .btn:has(.coloured-fill):focus,
.coloured-fill:hover,
.coloured-fill:focus {
    fill: var(--text-colour, white)
}
#map-controls-wrapper .btn:has(.coloured-stroke):hover,
#map-controls-wrapper .btn:has(.coloured-stroke):focus,
.coloured-stroke:hover,
.coloured-stroke:focus {
    stroke: var(--text-colour, white)
}
.map-key-modal .coloured-fill {
    fill: black;
}
.map-key-modal .coloured-stroke {
    stroke: black;
}